org.openmuc.openiec61850.clientgui.databind

## Class Int64DataBind

- java.lang.Object
- - org.openmuc.openiec61850.clientgui.BasicDataBind<E>
  - - org.openmuc.openiec61850.clientgui.databind.TextFieldDataBind<BdaInt64>
    - - org.openmuc.openiec61850.clientgui.databind.Int64DataBind

    public class Int64DataBind
    extends TextFieldDataBind<BdaInt64>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.openmuc.openiec61850.clientgui.databind.TextFieldDataBind

`TextFieldDataBind.AbstractFilter`

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.clientgui.databind.TextFieldDataBind

`inputField`

### Fields inherited from class org.openmuc.openiec61850.clientgui.BasicDataBind

`data`

### Constructor Summary

Constructors
Constructor and Description
`Int64DataBind(BdaInt64 data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `resetImpl()`
`protected void` `writeImpl()`

### Methods inherited from class org.openmuc.openiec61850.clientgui.databind.TextFieldDataBind

`init`

### Methods inherited from class org.openmuc.openiec61850.clientgui.BasicDataBind

`getNameLabel, getValueField, reset, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Int64DataBind

    public Int64DataBind(BdaInt64 data)

### Method Detail

#### resetImpl

    protected void resetImpl()

Specified by:
  `resetImpl` in class `BasicDataBind<BdaInt64>`

#### writeImpl

    protected void writeImpl()

Specified by:
  `writeImpl` in class `BasicDataBind<BdaInt64>`